from django.contrib import admin

from .models import Project, Platform, Service, InstalledService, Module


class ProjectAdmin(admin.ModelAdmin):
    prepopulated_fields = {'slug': ('title',)}


admin.site.register(Project, ProjectAdmin)


class PlatformAdmin(admin.ModelAdmin):
    prepopulated_fields = {'slug': ('title',)}


admin.site.register(Platform, PlatformAdmin)


class ServiceAdmin(admin.ModelAdmin):
    prepopulated_fields = {'slug': ('title',)}


admin.site.register(Service, ServiceAdmin)


class InstalledServiceAdmin(admin.ModelAdmin):
    pass


admin.site.register(InstalledService, InstalledServiceAdmin)


class ModuleAdmin(admin.ModelAdmin):
    pass


admin.site.register(Module, ModuleAdmin)
